import 'package:cubetiqs_pos_system/Page1/MyBurgerPage.dart';
import 'package:flutter/material.dart';
import 'package:flutter_icons/flutter_icons.dart';

import 'MyAppBar.dart';
import 'MyBottomNavigation.dart';
class MyPizza extends StatefulWidget {
  @override
  _MyPizzaState createState() => _MyPizzaState();
}

class _MyPizzaState extends State<MyPizza> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: buildAppbar,
      body: buildBody,
        endDrawer: buildDrawer,
        bottomNavigationBar: MyBottom()

    );
  }
  get buildDrawer {
    String img="https://www.pngkey.com/png/full/251-2511135_logo-chief-cook-clipart-png.png";
    return Drawer(
      child: Container(
        decoration: BoxDecoration(
          gradient: LinearGradient(
              begin: Alignment.topLeft,
              end: Alignment.bottomRight,
              colors: [
                Color.fromRGBO(159, 163, 227,1),
                Color.fromRGBO(244, 147, 242,0.3),
              ]

          ),
        ),
        child: ListView(
          children: [
            DrawerHeader(child: Image.network(img)),
            Container
              (
              margin: EdgeInsets.only(left:20),
              child: Row(
                children: [
                  Text("Current Order",style: TextStyle(
                      fontSize: 20
                  )
                  ),
                  Container(
                    margin: EdgeInsets.all(5),
                    child: Container(
                      child: SizedBox(
                        width: 85,
                        height: 30,
                        child: RaisedButton(
                            shape:RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
                            color: Color.fromRGBO(209, 198, 191, 1),
                            child: Text("Clear all",style:
                            TextStyle(
                                color: Colors.black.withOpacity(0.5)
                            ),),
                            onPressed:(){

                            }),
                      ),
                    ),
                  ),
                  Container(
                    //   margin: EdgeInsets.only(right: 1),
                    child: SizedBox(
                      width: 60,
                      height: 30,
                      child: RaisedButton(
                          shape:RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
                          color: Color.fromRGBO(209, 198, 191, 1),
                          child: Icon(FontAwesome.send_o),
                          onPressed:(){
                          }
                      ),
                    ),
                  )
                ],
              ),
            ),
            ListTile(
              leading: Icon(Icons.shopping_cart),
              title: Text("Ranch Burgers"),
              onTap: () {
                Navigator.of(context).pop();
              },
              trailing: Text(r"$7.75"),

            ),
            ListTile(
              leading: Icon(Icons.shopping_cart),
              title: Text("Pancakes"),
              onTap: () {
                Navigator.of(context).pop();
              },
              trailing: Text(r"$1.75"),

            ),
            ListTile(
              leading: Icon(Icons.shopping_cart),
              title: Text("Grilled Corn"),
              onTap: () {
                Navigator.of(context).pop();
              },
              trailing: Text(r"$1.75"),

            ),

            ListTile(
              leading: Icon(Icons.shopping_cart),
              title: Text("Bacon pizza "),
              onTap: () {
                Navigator.of(context).pop();
              },
              trailing: Text(r"$7.00"),

            ),
            ListTile(
              leading: Icon(Icons.shopping_cart),
              title: Text("Tortillas"),
              onTap: () {
                Navigator.of(context).pop();
              },
              trailing: Text(r"$7.75"),

            ),
            ListTile(
              leading: Icon(Icons.shopping_cart),
              title: Text("Coca Cola"),
              onTap: () {
                Navigator.of(context).pop();
              },
              trailing: Text(r"$5.00"),

            ),
            Container(
              margin: EdgeInsets.all(20),
              child: SizedBox(
                width: 100,
                height: 30,

                child: RaisedButton(
                    shape:RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
                    color: Color.fromRGBO(255, 249, 53, 1),
                    child: Text("Pay with Credit Card",style:
                    TextStyle(
                        color: Colors.black.withOpacity(0.5)
                    ),),
                    onPressed:(){

                    }),
              ),
            ),
          ],
        ),
      ),
    );
  }
  get buildAppbar {
    return AppBar(
      title: Text("Pizza Site",style:
        TextStyle(
          color: Color.fromRGBO(64, 70, 22,1)
        ),),
      centerTitle: true,
      backgroundColor: Color.fromRGBO(159, 163, 227,1),
iconTheme: IconThemeData(color: Colors.black),
    );
  }
  get buildBody {
    return Container(
      color: Color.fromRGBO(255,255,255, 1),
      child: ListView(
        physics: BouncingScrollPhysics(),
        children: [
          MyMenu,
          MyItem1,
          MyItem2,
          MyItem3,
        ],
      ),
    );
  }
  get MyMenu {
    return Container(
      child: Row(
        children: [

          buildMenu1,
          buildMenu2,
          buildMenu3,

        ],
      ),

    );
  }
  get buildMenu1 {
    PageController pagecontroller;
    return Container(
      margin: EdgeInsets.only(left:35 ,top: 10),
      child: RaisedButton(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
          color: Color.fromRGBO(180, 64, 16, 1),

          child: Text("All items",style: TextStyle(
            color: Colors.white,
          ),
          )
          ,
          onPressed: (){
            Navigator.push(context,MaterialPageRoute(builder: (context){

              return MyAppBar();

            }));
          }),
    );
  }
  get buildMenu2 {
    return Container(
      margin: EdgeInsets.only(left:35 ,top: 10),
      child: RaisedButton(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
          color: Color.fromRGBO(224, 255, 255, 1),
          child: Text("Burger",style: TextStyle(
            color: Colors.black,

          ),
          )

          ,
          onPressed: (){
            Navigator.push(context, MaterialPageRoute(builder: (context){
              return MyBurger();
            }));
          }),
    );
  }
  get buildMenu3 {
    return Container(
      margin: EdgeInsets.only(left:35 ,top: 10),
      child: RaisedButton(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
          color: Color.fromRGBO(224, 255, 255, 1),
          child: Text("Pizza",style: TextStyle(
            color: Colors.black,
          ),
          )
          ,
          onPressed: (){
            setState(() {

            });
          }),
    );
  }
  get MyItem1 {
    return Container(
      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem1,
          ],
        ),
      ),
    );
  }
  get buildItem1 {
    String img1="https://dam.kraftheinzcompany.com/adaptivemedia/rendition/122046_3000x2000.jpg?id=12a910429e20fa8ff0ce0d1c2d6382bce0213672&ht=650&wd=1004&clid=KRCA";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 220 , top: 30),
            child: Text("Bacon pizza",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$7.00" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img1),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
  get MyItem2 {
    return Container(

      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem2,
          ],
        ),
      ),
    );
  }
  get buildItem2 {
    String img2="https://images-gmi-pmc.edge-generalmills.com/03846767-9eb1-4dcf-b881-e18cd427171c.jpg";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 250 , top: 30),
            child: Text("Tortillas",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$7.75" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img2),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
  get MyItem3 {
    return Container(

      child: SingleChildScrollView(
        child: Stack
          (
          children: [

            buildItem3,
          ],
        ),
      ),
    );
  }
  get buildItem3 {
    String img3="https://www.moulinex-me.com/medias/?context=bWFzdGVyfHJvb3R8MTQzNTExfGltYWdlL2pwZWd8aDM2L2g1Mi8xMzA5NzI3MzI2MjExMC5qcGd8N2MxZDhmNmI5ZTgzZDZlZWQyZGQ4YjFlZjUyNDlkMTExYjdkZDdlZmFkY2I0N2NmNjljOGViNmExZjIyMDU4Yw";
    return Container(
      margin: EdgeInsets.all(20),
      width: 500,
      height: 240,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: Color.fromRGBO(244, 147, 242,0.3),
      ),

      child: Column(
        children: [
          Container(
            margin: EdgeInsets.only(right: 180 , top: 30),
            child: Text("Pepperoni pizza",
                style: TextStyle(
                    color: Colors.purple,
                    fontWeight: FontWeight.bold,
                    fontSize: 20
                )
            ),
          ),

          Container(
            margin: EdgeInsets.only(right: 290 , top: 10),
            child: Text("150g",
              style:TextStyle(
                color: Colors.black.withOpacity(0.5),
              ) ,),
          ),
          Row(
            children: [
              Container(
                margin: EdgeInsets.only(left: 40),
                child: Text(r"$1.75" ,
                  style:TextStyle(
                      color: Color.fromRGBO(255,131,0,1),
                      fontSize: 25,
                      fontWeight: FontWeight.bold
                  ) ,),
              ),
              Container(
                width: 100,height: 100,
                margin: EdgeInsets.only(left: 140,bottom: 60),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    image: DecorationImage(
                        image: NetworkImage(img3),
                        fit: BoxFit.cover
                    )
                ),
              ) ,
            ],
          ),
        ],
      ),
    );
  }
}
